Bug 867785 - Add description of JMS properties for jbpm.console.properties
Add description of JMS properties for jbpm.console.properties
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_Business_Process_Management_Guide (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: lcarlon
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 05:54 EDT by Toshiya Kobayashi
Modified: 2016-07-31 21:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 22:33:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiya Kobayashi 2012-10-18 05:54:46 EDT
Official docs is missing description of JMS releated properties for jbpm.console.properties. Please add them from community v5.3 docs.

http://docs.jboss.org/jbpm/v5.3/userguide/ch.console.html#d0e4624

JMSTaskClient.xxx....
Comment 1 lcarlon 2012-10-24 20:01:03 EDT
Hi Toshiya,

there are no JMS properties list in the jbpm.console.properties file by default. Do you have the list of properties that can be added to this file?

- Lee
Comment 2 Toshiya Kobayashi 2012-10-24 20:37:26 EDT
Yes, they are listed in the community docs.

JMSTaskClient.connectionFactory : JNDI name of connection factory only for JMS (no default)
JMSTaskClient.acknowledgeMode : acknowledgment mode only for JMS (no default)
JMSTaskClient.transactedQueue : transacted queue name only for JMS (no default)
JMSTaskClient.queueName : queue name only for JMS (no default)
JMSTaskClient.responseQueueName : response queue name only for JMS (no default)
Comment 3 lcarlon 2012-10-25 20:44:15 EDT
Apologies, Toshiya.

I see you provided a link above. We based the product documentation on the jbpm 5.2 documentation, so I never think to look at the 5.3 docs. 

I'll post a link as soon as the updated doc is available for review.

Thanks
Lee
Comment 4 Toshiya Kobayashi 2012-10-25 21:07:25 EDT
No problem. I think community 5.3 doc is much improved so it includes descriptions of some futures which are already implemented in community jBPM 5.2 (= BRMS 5.3.0).

Note You need to log in before you can comment on or make changes to this bug.